"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.Application = void 0;
var BaseApplication_1 = require("./BaseApplication");
var ErrorResponder_1 = require("./middlewares/ErrorResponder");
var GenerateRequestId_1 = require("./middlewares/GenerateRequestId");
var Application = /** @class */ (function (_super) {
    __extends(Application, _super);
    function Application() {
        var _this = _super.call(this) || this;
        _this.useMiddleware(ErrorResponder_1.ErrorResponder);
        _this.useMiddleware(GenerateRequestId_1.GenerateRequestId);
        return _this;
    }
    return Application;
}(BaseApplication_1.BaseApplication));
exports.Application = Application;
//# sourceMappingURL=Application.js.map